EGD_START(3)

NAME
egd_start, egd_stop - start and stop buffered acquisition

SYNOPSIS

#include <eegdev.h>

int egd_start(struct eegdev* dev);
int egd_stop(struct eegdev* dev);

DESCRIPTION

egd_start() marks the beginning of buffered acquisition from the device referenced by dev. This means that the data starts getting accumulated in an internal ringbuffer and this buffered data can be sequentially obtained by successive calls to egd_get_data(3). A buffered acquisition started implies that the user has to get the data often enough to prevent the situation of a full ringbuffer.

egd_stop() halts the buffered acquisition of the device referenced by dev, relieving the user from the obligation to get data regularly.

RETURN VALUE

The function returns 0 in case of succes. Otherwise, -1 is returned and errno is set accordingly.

ERRORS

egd_start() and egd_stop() will fail if:

EINVAL
    dev is NULL.

SEE ALSO
egd_get_data(3), egd_get_available(3)